using System;
class Program
{
    static void Main(string[] args)
    {
        int a, b, x, y;
        a = int.Parse(Console.ReadLine());
        b = int.Parse(Console.ReadLine());
        x = int.Parse(Console.ReadLine());
        y = int.Parse(Console.ReadLine());
        if (a == x && b == y)
            Console.WriteLine("nijedan");
        else if (a == x)
            Console.WriteLine("prvi");
        else if (b == y)
            Console.WriteLine("drugi");
        else if (a != x && b != y)
            Console.WriteLine("?");
    }
}